import React, { Component } from 'react';
import { Button } from 'antd';
import { inject, observer } from 'mobx-react'
import './index.css'

@inject('counterStore')
@observer
export default class MobxPersist extends Component {
  componentDidMount () {
    console.log('MobxPersist', this.props)
  }
  increaseNum = () => {
    this.props.counterStore.increaseNum();
  }
  decrease = () => {
    this.props.counterStore.decrease();
  }
  render () {
    const { counterStore } = this.props
    console.log('this.props.counterStore.getPow', this.props.counterStore.getPow)
    return (
      <div className='flex_center countValueWrap'>
        <Button type="primary" onClick={this.increaseNum}>加</Button>
        <div className='counterSpan'>{counterStore.count}</div>
        <Button type="primary" onClick={this.decrease}>减</Button>
        <div>Math.pow = {this.props.counterStore.getPow}</div>
      </div>
    );
  }
}
