import nav from './nav'
import counterStore from '../components/Counter/store'
import { create } from 'mobx-persist'
const hydrate = create({
    storage: localStorage,
    jsonify: true
})
hydrate('_Shop', counterStore).then(() => console.log('someStore has been hydrated'))
hydrate('nav', nav).then(() => console.log('someStore has been hydrated'))

export default {
    counterStore,
    nav,
}