import React, { Component } from 'react';
import { Button } from 'antd'
import { inject, observer } from 'mobx-react'
import './index.css'

const nav = [{
  name: 'mobx持久化测试',
  route: '/mobxPersiste'
}]
@inject('nav')
@observer
export default class Home extends Component {
  handleGotoPage =(route) => {
    this.props.nav.push({ pathname: route })
  }
  render () {
    return (
      <div className='navWrap'>
        {
          nav.map((item, index) => {
            return (
              <Button type='primary' key={index} onClick={() => { this.handleGotoPage(item.route) }}>
                {item.name}
              </Button>
            )
          })
        }
      </div>
    )
  }
}