// import { override, fixBabelImports }  from 'customize-cra'
const { override, fixBabelImports, addLessLoader,disableEsLint, addDecoratorsLegacy,useBabelRc } = require('customize-cra');

module.exports = override(
    addDecoratorsLegacy(),
    disableEsLint(),
    useBabelRc(),
    fixBabelImports('import', {
        libraryName: 'antd',
        libraryDirectory: 'es',
        style: true
    }),
    addLessLoader({
        javascriptEnabled: true,
        modifyVars: { '@primary-color': '#1DA57A' },
    })
);
